Page MenuHomePhabricator

Implement autocompletion / search suggestion / auto-complete / autocomplete / auto-suggest throughout MediaWiki (tracking)
Open, LowPublic

Description

A tracking bug for implementing autocompletion/search suggestion throughout MediaWiki.


URL: https://www.mediawiki.org/wiki/Manual:Enabling_autocomplete_in_a_form

Details

Reference
bz48240

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:20 AM
bzimport set Reference to bz48240.
bzimport added a subscriber: Unknown Object (MLST).
MZMcBride created this task.May 8 2013, 4:18 AM

Autocompletion is also known as autocomplete or auto-complete or search suggestions. Perhaps saying this in a comment will make it easier to find this bug report again.

Change 166036 had a related patch set uploaded by Krinkle:
Add mediawiki.userSuggest to Special:ListFiles

https://gerrit.wikimedia.org/r/166036

Change 166036 merged by jenkins-bot:
Add mediawiki.userSuggest to Special:ListFiles

https://gerrit.wikimedia.org/r/166036

See also Gerrit change 166039, Gerrit change 166045, Gerrit change 166041, Gerrit change 166048

Change 166048 had a related patch set uploaded by Umherirrender:
Add mediawiki.userSuggest to Special:Block/Unblock/BlockList

https://gerrit.wikimedia.org/r/166048

Change 166045 had a related patch set uploaded by Umherirrender:
Add mediawiki.userSuggest to Special:UserRights

https://gerrit.wikimedia.org/r/166045

Change 166045 merged by jenkins-bot:
Add mediawiki.userSuggest to Special:UserRights

https://gerrit.wikimedia.org/r/166045

Change 166048 had a related patch set uploaded (by Umherirrender):
Add mediawiki.userSuggest to Special:Block/Unblock/BlockList

https://gerrit.wikimedia.org/r/166048

Patch-For-Review

Change 166048 merged by jenkins-bot:
Add mediawiki.userSuggest to Special:Block/Unblock/BlockList

https://gerrit.wikimedia.org/r/166048

MZMcBride renamed this task from Implement autocompletion/search suggestion throughout MediaWiki (tracking) to Implement autocompletion / search suggestion / auto-complete / autocomplete / auto-suggest throughout MediaWiki (tracking).Jul 11 2015, 12:11 AM
MZMcBride set Security to None.

The stupid task title is due to Phabricator's shitty search. Maybe there's some way to include comments such as T50240#493012 in search results so that a search for "autocomplete tracking" would work, but it's not the default behavior at least, for whatever reason. Sigh.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2015, 8:51 AM
matej_suchanek removed a project: Patch-For-Review.
matej_suchanek removed a subscriber: wikibugs-l-list.